#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB9,0xCD,0x21,0xBA,0x9E,0x99,0xFB,0x90,0x83,0x0D,0xDC,0x59,
		0xCC,0x82,0x0B,0x16,0xA0,0x4B,0x7D,0x8A,0x25,0xE4,0x6A,0x39,
		0x95,0x7A,0xCE,0x16,0xDF,0x06,0xCA,0xCB,0xF5,0x44,0xF9,0xDF,
		0x89,0x82,0x0F,0xE6,0xB3,0x45,0xA0,0x34,0x47,0xB7,0x41,0xA4,
		0x63,0xBD,0x42,0xA8,0xC7,0x3C,0x5A,0xF3,0x77,0x35,0x50,0x86,
		0x02,0xC9,0x6C,0xDF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
